package com.hotent.portal.persistence.manager;

import com.hotent.base.manager.BaseManager;
import com.hotent.base.model.CommonResult;
import com.hotent.portal.model.ShorturlManage;

/**
 *  服务类
 *
 * @company 广州宏天软件股份有限公司
 * @author 超级管理员
 * @since 2020-12-01
 */
public interface ShorturlManageManager extends BaseManager<ShorturlManage> {	
	ShorturlManage getByShortUrl(String shortUrl);

    CommonResult<ShorturlManage> getLongUrlByShortUrl(String shortUrl) throws Exception;

    CommonResult<ShorturlManage> getShortUrlByLong(ShorturlManage vo);
}
